列出 connectedOrganizations
本文内容
命名空间:microsoft.graph
检索 connectedOrganization 对象 的列表。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
EntitlementManagement.Read.All、EntitlementManagement.ReadWrite.All
委派(个人 Microsoft 帐户)
不支持。
应用程序
EntitlementManagement.Read.All、EntitlementManagement.ReadWrite.All
HTTP 请求
GET /identityGovernance/entitlementManagement/connectedOrganizations
可选的查询参数
此方法支持 $select 和 $filter OData 查询参数来帮助自定义响应。 例如,若要仅检索具有特定服务连接的显示名称,请添加 $filter=displayName eq 'Name' 。 同样,若要仅检索具有特定租户的标识源的已连接组织,请添加 $filter=identitySources/any(is:is/microsoft.graph.azureActiveDirectoryTenant/tenantId eq '72f988bf-86f1-41af-91ab-2d7cd011db47') 。 若要了解一般信息,请参阅 OData 查询参数 。
名称
说明
Authorization
Bearer {token}。必需。
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应正文中返回 响应代码和 200 OK connectedOrganization 对象集合。
示例
请求
GET https://graph.microsoft.com/v1.0/identityGovernance/entitlementManagement/connectedOrganizations
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var connectedOrganizations = await graphClient.IdentityGovernance.EntitlementManagement.ConnectedOrganizations
.Request()
.GetAsync();
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
const options = {
authProvider,
};
const client = Client.init(options);
let connectedOrganizations = await client.api('/identityGovernance/entitlementManagement/connectedOrganizations')
.get();
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/v1.0/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/identityGovernance/entitlementManagement/connectedOrganizations"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
NSError *jsonError = nil;
MSCollection *collection = [[MSCollection alloc] initWithData:data error:&jsonError];
MSGraphConnectedOrganization *connectedOrganization = [[MSGraphConnectedOrganization alloc] initWithDictionary:[[collection value] objectAtIndex: 0] error:&nserror];
}];
[meDataTask execute];
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
ConnectedOrganizationCollectionPage connectedOrganizations = graphClient.identityGovernance().entitlementManagement().connectedOrganizations()
.buildRequest()
.get();
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
result, err := graphClient.IdentityGovernance().EntitlementManagement().ConnectedOrganizations().Get()
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-Type: application/json
{
"value": [
{
"id": "04e7fa5f-fa5f-04e7-5ffa-e7045ffae704",
"displayName": "Wingtip Toys",
"description": "Wingtip Toys",
"createdDateTime": "2020-05-13T15:18:04.81Z",
"modifiedDateTime": "2020-05-13T15:18:04.81Z",
"identitySources": [
{
"@odata.type": "microsoft.graph.azureActiveDirectoryTenant",
"displayName": "Wingtip Toys Co"
}
],
"state": "configured"
}
]
}